List blocked email logs

Returns inbound emails that were blocked, most recently blocked first, optionally filtered by block entry, sender, or block time (`after`, `before`).

GET
/v1/email/blocks/logs

Returns inbound emails that were blocked, most recently blocked first, optionally filtered by block entry, sender, or block time (after, before). Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

blockedEmailId?string
Match^blk_[0-9a-hjkmnp-tv-z]{16,24}$
fromAddress?string
after?string
before?string
limit?|null
cursor?string

Response Body

BlockLogPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.getBlockLogs({});
Example Response
{  "items": [    {      "id": "string",      "fromAddress": "string",      "toAddress": "string",      "subject": "string",      "blockType": "email",      "blockValue": "string",      "blockReason": "string",      "spfResult": "pass",      "dkimResult": "pass",      "dmarcResult": "pass",      "blockedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation